onEvent('recipes', event => {
        //REMOÇÃO DE ITENS DO MOD THERMAL

	event.remove({ output:'thermal:iron_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:iron_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:gold_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:gold_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:copper_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:copper_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:tin_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:tin_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:lead_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:lead_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:silver_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:silver_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:nickel_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:nickel_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:bronze_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:bronze_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:electrum_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:electrum_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:invar_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:invar_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:constantan_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:constantan_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:signalum_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:signalum_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:lumium_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:lumium_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:enderium_gear', type:'minecraft:crafting_shaped' })
	event.remove({ output:'thermal:enderium_gear', type:'immersiveengineering:metal_press' })

	event.remove({ output:'thermal:netherite_gear', type:'minecraft:crafting_shaped' })

	event.remove({ output:'thermal:diamond_gear', type:'minecraft:crafting_shaped' })
	
	event.remove({ output:'thermal:emerald_gear', type:'minecraft:crafting_shaped' })
	
	event.remove({ output:'thermal:quartz_gear', type:'minecraft:crafting_shaped' })

	event.remove({ output:'thermal:lapis_gear', type:'minecraft:crafting_shaped' })

	event.remove({ output:'thermal:press_gear_die' })

	event.remove({ output:'thermal:machine_press' })


        //ALTERACAO DE RECEITAS
    
    //MOLDE DE PRENÇA DO THERMAL
    event.shaped(
    Item.of('thermal:press_gear_die', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'thermal:invar_plate',
      B: 'thermal:quartz_gear'
    }
  )


  //MULTISERVO PRESS
  event.shaped(
    Item.of('thermal:machine_press', 1),
    [
      ' A ',
      'BCB',
      'DED'
    ],
    {
    A: 'minecraft:iron_block',
	  B:'thermal:bronze_ingot',
	  C:'kubejs:vegapunk_chip',
	  D:'thermal:quartz_gear',
	  E:'thermal:rf_coil'
    }
  )


 //ENGRENAGEM DE QUARTZO
  event.shaped(
    Item.of('thermal:quartz_gear', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'appliedenergistics2:purified_nether_quartz_crystal',
	  B:'appliedenergistics2:wooden_gear'  
    }
  )

 //ENGRENAGEM DE ESMERALDA
  event.shaped(
    Item.of('thermal:emerald_gear', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:emerald_block',
	  B:'thermal:quartz_gear'  
    }
  )

 //ENGRENAGEM DE DIAMANTE
  event.shaped(
    Item.of('thermal:diamond_gear', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
    A:'minecraft:diamond_block',
	  B:'thermal:quartz_gear'  
    }
  )


})